<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">
  <h4>jQUERY BASIC METHODS</h4>
  <!-- Div voucher 01 -->
  <div id="voucher-form-01" class="jumbotron p-4">
    <div class="row form-group">
        1 Khi ấn nút Kiểm tra 01, lấy được value của ô text mã giảm giá và gán giá trị vào thẻ div ma-giam-gia-01 
        và đổi màu thẻ div thành class text-success
    </div>
    <div class="row form-group align-middle">
      <div class="col-sm-6 form-inline">
        <label class="mr-2">Mã giảm giá</label>
        <input id="voucher-01" placeholder="Nhập mã giảm giá.." class="form-control">
      </div>
      <div class="col-sm-6 form-inline">
        <div id="ma-giam-gia-01">ma-giam-gia-01</div>
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-01">Kiểm tra 01</button>
    </div>
  </div>

  <!-- Div voucher 02 -->
  <div id="voucher-form-02" class="jumbotron p-4">
    <div class="row form-group">
      2) Khi ấn nút Kiểm tra 02, lấy giá trị của div ma-giam-gia-02 
      và gán giá trị vào ô text mã giảm giá, đổi border cho ô text thành class border-danger
    </div>
    <div class="row form-group">
      <div class="col-sm-6">
        <div id="ma-giam-gia-02">24864</div>
      </div>
      <div class="col-sm-6 form-inline">
        <label class="mr-2">Mã giảm giá</label>
        <input id="voucher-02" placeholder="Mã giảm giá.." class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-02">Kiểm tra 02</button>
    </div>
  </div>

  <!-- Div 2 button -->
  <div id="content-form" class="jumbotron p-4">
    <div class="row form-group">
      3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
    </div>
    <div class="row form-group">
      <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
    </div>
    <div class="form-group">
      <button class="btn btn-danger" id="btn-red">Màu đỏ</button>
      <button class="btn btn-warning" id="btn-yellow">Màu vàng</button>
    </div>
  </div>
</div>
  <script> 

  "use strict"
    $(document).ready(function(){
      $("#btn-kiem-tra-01").on("click", onBtnButtonClick);
      $("#btn-kiem-tra-02").on("click", onBtnButtonClick02);
      $("#btn-red").on("click", onBtnButtonRedClick);
      $("#btn-yellow").on("click", onBtnButtonYellowClick);
      function onBtnButtonClick(){
        "use strict"
        var vEleInput = $("#voucher-01");//truy xuat o ma giam gia 01
        var vValueVoucher = vEleInput.val()//lay gia tri từ ô giảm giá 01
        console.log("id voucher 01 : " + vEleInput.attr("id")) //ghi ra console id của ô mã giảm giá 01
        var vDivMaGiamGia01 = $('#ma-giam-gia-01')
        console.log("id div 01 : " + vDivMaGiamGia01.attr("id")) //ghi ra console id của the div
        vDivMaGiamGia01.html(vValueVoucher)//dung phuong thuc .html() de thay doi gia tri cua the innrtHTML cua the div
        vDivMaGiamGia01.addClass("texxt-success")//doi mau the div thanh class text-success

      }

      function onBtnButtonClick02(){
        "use strict"
        var vEleInput = $("#voucher-02");//truy xuat o ma giam gia 01
        var vValueVoucher = vEleInput.val()//lay gia tri từ ô giảm giá 01
        console.log("id voucher 02 : " + vEleInput.attr("id")) //ghi ra console id của ô mã giảm giá 01
        var vDivMaGiamGia02 = $('#ma-giam-gia-02')
        var vValueMaGiamGia02 = vDivMaGiamGia02.text()
        console.log("id div 02 : " + vDivMaGiamGia02.attr("id")) //ghi ra console id của the div
        vDivMaGiamGia02.html(vValueMaGiamGia02)//dung phuong thuc .html() de thay doi gia tri cua the innrtHTML cua the div
        vDivMaGiamGia02.addClass("border border-danger")//doi mau the div thanh class text-success

      }

      function onBtnButtonRedClick(){
        'use strict'
        var vDivContent = $('#content-div')

        vDivContent.prop('style', "color:red")
      }
      function onBtnButtonYellowClick(){
        'use strict'
        var vDivContent = $('#content-div')

        vDivContent.prop('style', "color:yellow")
      }
    })
  
  </script>
</body>
</html>
